My Project

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Typedefs Groups Pages
Public Member Functions | List of all members
NexUpload Class Reference
Core API

`#include <NexUpload.h>`

## Public Member Functions
| NexUpload (const char *file_name, const uint8_t SD_chip_select, uint32_t download_baudrate)
| NexUpload (const String file_Name, const uint8_t SD_chip_select, uint32_t download_baudrate)
| ~NexUpload ()
void | upload ()

## Detailed Description

Provides the API for nextion to download the ftf file.

## Constructor & Destructor Documentation

NexUpload::NexUpload | ( | const char * | file_name,
|  | const uint8_t | SD_chip_select,
|  | uint32_t | download_baudrate
| ) |  |

Constructor.

Parameters

  file_name | - tft file name.
  SD_chip_select | - sd chip select pin.
  download_baudrate | - set download baudrate.

NexUpload::NexUpload | ( | const String | file_Name,
|  | const uint8_t | SD_chip_select,
|  | uint32_t | download_baudrate
| ) |  |

Constructor.

Parameters

  file_Name | - tft file name.
  SD_chip_select | - sd chip select pin.
  download_baudrate | - set download baudrate.

NexUpload::~NexUpload | ( |  | ) |
| inline

destructor.

The documentation for this class was generated from the following files:

- NexUpload.h
- NexUpload.cpp